Skip to content

Create a voice application

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
appIdstring

Voice application Id; required on update, generated by system on create

providerstring

Telephony provider; required on create, not accepted on update

accountSidstring

Account SID; read-only, set by system. Not accepted on create or update

namestring

Name of Voice Application

phoneNumberstring

Phone number of Voice Application

secondaryPhoneNumbersArray of strings

Secondary phone numbers of Voice Application

voiceAccountIdstring

Voice Account Id of Voice Application

descriptionstring

Description of Voice Application

countrystring

Country of Voice Application

dndCheckRequiredArray of strings

DND checks of Voice Application

dtmfTimeoutSecondsinteger, (int32)

DTMF timeout seconds of Voice Application

speechTimeoutSecondsinteger, (int32)

Speech timeout seconds of Voice Application

externalCaseUrlTemplatestring

External case URL template of Voice Application

callerSipDomainstring

Caller SIP domain of Voice Application

contactSipDomainstring

Contact SIP domain of Voice Application

fromNumberSipHeaderKeystring

From number SIP header key of Voice Application

ivrProcessIdstring

IVR process Id of Voice Application

supervisorEligibleForAcwOnBargeInboolean

Whether supervisor is eligible for ACW on barge in

fallbackAcwIdstring

Fallback ACW Id of Voice Application

callerIdsArray of strings

Caller IDs of Voice Application

callEventWorkflowIvrIdstring

Call event workflow IVR Id of Voice Application

byocTrunkIdstring

BYOC trunk ID; supported providers: Twilio, Sprinklr

outboundWaitMessagestring

Outbound wait message; supported providers: Twilio, Ozonetel

providerDomainstring

Provider domain; supported provider: Sprinklr

jitterBufferSizestring

Jitter buffer size; supported provider: Sprinklr

locationSipContextstring

Location SIP context; supported provider: Ozonetel

curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/voice/application \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "appId": "string",
    "provider": "string",
    "accountSid": "string",
    "name": "string",
    "phoneNumber": "string",
    "secondaryPhoneNumbers": [
      "string"
    ],
    "voiceAccountId": "string",
    "description": "string",
    "country": "string",
    "dndCheckRequired": [
      "string"
    ],
    "dtmfTimeoutSeconds": 0,
    "speechTimeoutSeconds": 0,
    "externalCaseUrlTemplate": "string",
    "callerSipDomain": "string",
    "contactSipDomain": "string",
    "fromNumberSipHeaderKey": "string",
    "ivrProcessId": "string",
    "supervisorEligibleForAcwOnBargeIn": true,
    "fallbackAcwId": "string",
    "callerIds": [
      "string"
    ],
    "callEventWorkflowIvrId": "string",
    "byocTrunkId": "string",
    "outboundWaitMessage": "string",
    "providerDomain": "string",
    "jitterBufferSize": "string",
    "locationSipContext": "string"
  }'

Responses

Success

Bodyapplication/json
appIdstring

Voice application Id; required on update, generated by system on create

providerstring

Telephony provider; required on create, not accepted on update

accountSidstring

Account SID; read-only, set by system. Not accepted on create or update

namestring

Name of Voice Application

phoneNumberstring

Phone number of Voice Application

secondaryPhoneNumbersArray of strings

Secondary phone numbers of Voice Application

voiceAccountIdstring

Voice Account Id of Voice Application

descriptionstring

Description of Voice Application

countrystring

Country of Voice Application

dndCheckRequiredArray of strings

DND checks of Voice Application

dtmfTimeoutSecondsinteger, (int32)

DTMF timeout seconds of Voice Application

speechTimeoutSecondsinteger, (int32)

Speech timeout seconds of Voice Application

externalCaseUrlTemplatestring

External case URL template of Voice Application

callerSipDomainstring

Caller SIP domain of Voice Application

contactSipDomainstring

Contact SIP domain of Voice Application

fromNumberSipHeaderKeystring

From number SIP header key of Voice Application

ivrProcessIdstring

IVR process Id of Voice Application

supervisorEligibleForAcwOnBargeInboolean

Whether supervisor is eligible for ACW on barge in

fallbackAcwIdstring

Fallback ACW Id of Voice Application

callerIdsArray of strings

Caller IDs of Voice Application

callEventWorkflowIvrIdstring

Call event workflow IVR Id of Voice Application

byocTrunkIdstring

BYOC trunk ID; supported providers: Twilio, Sprinklr

outboundWaitMessagestring

Outbound wait message; supported providers: Twilio, Ozonetel

providerDomainstring

Provider domain; supported provider: Sprinklr

jitterBufferSizestring

Jitter buffer size; supported provider: Sprinklr

locationSipContextstring

Location SIP context; supported provider: Ozonetel

Response
{ "appId": "string", "provider": "string", "accountSid": "string", "name": "string", "phoneNumber": "string", "secondaryPhoneNumbers": [ "string" ], "voiceAccountId": "string", "description": "string", "country": "string", "dndCheckRequired": [ "string" ], "dtmfTimeoutSeconds": 0, "speechTimeoutSeconds": 0, "externalCaseUrlTemplate": "string", "callerSipDomain": "string", "contactSipDomain": "string", "fromNumberSipHeaderKey": "string", "ivrProcessId": "string", "supervisorEligibleForAcwOnBargeIn": true, "fallbackAcwId": "string", "callerIds": [ "string" ], "callEventWorkflowIvrId": "string", "byocTrunkId": "string", "outboundWaitMessage": "string", "providerDomain": "string", "jitterBufferSize": "string", "locationSipContext": "string" }